package ru.yandex.atom.data

/**
 * @author avhaliullin
 */
sealed abstract class GeminiRequestType(val value: String)

object GeminiRequestType {

  case object WEAK extends GeminiRequestType("weak")

  case object STRONG extends GeminiRequestType("strong")

  case object MIRROR extends GeminiRequestType("mirror")

  case object MIRROR_GROUP extends GeminiRequestType("mirror_group")

  case object HOST extends GeminiRequestType("host")

  case object OWNER extends GeminiRequestType("owner")

  case object CANONIZE extends GeminiRequestType("canonize")

  case object VIDEO extends GeminiRequestType("video")

  case object FILTER extends GeminiRequestType("filter")

  case object NORMALIZE extends GeminiRequestType("normalize")

}
